Bug 498493 - New pam stack configuration requires *much* better documentation
New pam stack configuration requires *much* better documentation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 14:12 EDT by Simo Sorce
Modified: 2010-06-28 08:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2009-04-30 14:12:08 EDT
Description of problem:

The new pam stack layout is quite different from previous ones, quite notably changing system-auth does not make you able to login via gdm if you added a custom pam module. That's because gdm, does not even look into what was once the "common" pam stack.

I suggest that system-auth/system-auth-ac includes a *prominent* notice in the very first few lines that point to a README file installed by default in the system and that explain carefully:
a) how the new pam stacks are laid out
b) how to add your own custom pam module if you need to do so

Actual results:
total confusion by any admin used to add a custom pam module up to F10

Expected results:
at least documentation pointed by system-auth (the place any admin would look into as the first thing

Additional info:
I think this should be a blocker for F11
Comment 1 Simo Sorce 2009-04-30 14:33:10 EDT
Just to add some context.

This bug came out after a long discussion with Ray on system-auth vs password-auth

Today was SSSD test day and I was trying to test pam_sss/nss_sss to login also via GDM.

It wasn't immediately evident why my changes to system-auth were not seen by GDm and a lot of confusion arise trying to understand why.

Personally I would have left system-auth as the central password-only pam stack so that admins (and installation tools of third party apps) that were familiar with changing system-auth to add their custom pam modules wouldn't get utterly confused.

However, given we are quire late in the development process, I understand that it may be difficult to change what we have for F11 GA.

However, at the very least we should make it easy for an admin that is confused about why something doesn't work to understand what's going on.

The first thing an admin familiar with Fedora/Red Hat distributions does to manually check the pam stack is a vim /etc/pam.d/system-auth
That's why I think system-auth should carry a prominent notice that redirect to a README that explain all the changes in F11 (possibly why we made them) and how to cope with them.
Comment 2 Jeremy Katz 2009-04-30 16:23:41 EDT
There should certainly be something in the release notes...
Comment 3 Ray Strode [halfline] 2009-04-30 17:40:03 EDT
I actually added it to the release notes here:

https://fedoraproject.org/wiki/Fedora_11_Beta_release_notes

a few minutes ago and came to this bug to point that out only to see comment 2.
Comment 4 Bug Zapper 2009-06-09 10:54:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 10:02:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:17:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.